package kz.arta.test.blocking.mysql;

/**
 * Извлекатель данных из объектов
 *
 * @author MGetmanov
 * @since 28.05.15 8:44
 */
class DataExtractorCommon {

    public static Long getLongStat(Object obj) {
        if (obj == null) {
            return 0l;
        }
        try {
            return new Long(obj.toString());
        } catch (Exception e) {
            return 0l;
        }
    }

    public static Boolean getBoolean(Object obj) {
        if (obj == null) {
            return false;
        }
        try {
            if (Boolean.parseBoolean(obj.toString()) || (obj + "").equalsIgnoreCase("true") || (obj + "").equals("1")) {
                return true;
            }
        } catch (Exception ignored) {
        }
        return false;
    }
}
